be.ehealth.business.mycarenetdomaincommons.builders.impl

## Class GenericCommonBuilderImpl

- java.lang.Object
- - be.ehealth.business.mycarenetdomaincommons.builders.impl.AbstractCommonBuilderImpl
  - - be.ehealth.business.mycarenetdomaincommons.builders.impl.GenericCommonBuilderImpl

- All Implemented Interfaces:
    CommonBuilder, ConfigurableImplementation

      public class GenericCommonBuilderImpl
      extends AbstractCommonBuilderImpl

  fully configurable commonBuilder. configured with
  Implementation for the `AbstractCommonBuilderImpl` abstract class. This builder is configured with the following properties :
  - mycarenet.{projectname}.careprovider.nihii.quality (required)
  - mycarenet.{projectname}.careprovider.nihii.value (required)
  - mycarenet.{projectname}.careprovider.{physicalperson|organization}.{name|ssin|cbe|nihii.value|nihii.quality}
  - mycarenet.{projectname}.sender.{physicalperson|organization}.{name|ssin|cbe|nihii.value|nihii.quality}
  - mycarenet.{projectname}.site.id
  the same default system as the other connector properties are used:
  if the property mycarenet.{projectname}.usedefaultproperties = false , the properties with mycarenet.{projectname} must be filled out, otherwise the mycarenet.default.xxx properties are used.

- - ### Field Summary

    - ### Fields inherited from interface be.ehealth.business.mycarenetdomaincommons.builders.CommonBuilder

      `PROJECT_NAME_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenericCommonBuilderImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CareProvider` | `createCareProviderForOrigin()` Creates a Physical Person `CareProvider` for the `OrigineType` based on the user in the current session.
    `void` | `initialize(Map<String,Object> parameterMap)` initializes the implementation with additional parameters.

    - ### Methods inherited from class be.ehealth.business.mycarenetdomaincommons.builders.impl.AbstractCommonBuilderImpl

      `createCommonInput, createCommonInput, createCommonInput, createOrigin, createOrigin, createRouting, createRouting, createRoutingToMutuality, createSenderForOrigin`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GenericCommonBuilderImpl

          public GenericCommonBuilderImpl()

  - ### Method Detail

    - #### initialize

          public void initialize(Map<String,Object> parameterMap)
                          throws TechnicalConnectorException

      Description copied from interface: `ConfigurableImplementation`
      initializes the implementation with additional parameters.
      Specified by:
        `initialize` in interface `ConfigurableImplementation`
      Overrides:
        `initialize` in class `AbstractCommonBuilderImpl`
      Parameters:
        `parameterMap` - Map with for each propertyString ,the input parameter as Object.
      Throws:
        `TechnicalConnectorException` - if the parameterMap is not correct.
      See Also:
        `AbstractCommonBuilderImpl.initialize(Map)`

    - #### createCareProviderForOrigin

          public CareProvider createCareProviderForOrigin()
                                                   throws NumberFormatException,
                                                          TechnicalConnectorException

      Description copied from class: `AbstractCommonBuilderImpl`
      Creates a Physical Person `CareProvider` for the `OrigineType` based on the user in the current session.
      Returns:
        CareProviderType
      Throws:
        `NumberFormatException`
        `TechnicalConnectorException`
      See Also:
        `AbstractCommonBuilderImpl.createCareProviderForOrigin()`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.